<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
// use DB;

class AddDealerPackageIdInDealerTransactionsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('dealer_transactions', function (Blueprint $table) {
            //

            $table->bigInteger('dealer_package_id')->nullable();
         


        });
        DB::statement('ALTER TABLE `dealer_transactions` CHANGE `product_id` `product_id` BIGINT(20)  NULL;');
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('dealer_transactions', function (Blueprint $table) {
            //
        });
    }
}
